# Class MessageDelta

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a message delta.

    public class MessageDelta

Inheritance
  object
  MessageDelta

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### MessageDelta(string, string)

Initializes a new instance of the MessageDelta class.

    public MessageDelta(string stopReason, string stopSequence)

#### Parameters

`stopReason` string

  The stop reason.

`stopSequence` string

  The stop sequence.

## Properties

### StopReason

Gets the stop reason.

    [JsonPropertyName("stop_reason")]
    public string StopReason { get; init; }

#### Property Value

string

### StopSequence

Gets the stop sequence.

    [JsonPropertyName("stop_sequence")]
    public string? StopSequence { get; init; }

#### Property Value

string